<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFFFF"
    tools:context=".fragment.GuideFragment">

    <TextView
        android:id="@+id/tvSkip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="20dp"
        android:text="Skip"
        android:textColor="#B6B6B6"
        android:textSize="16sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toTopOf="@+id/tv_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ivDian"
        app:layout_constraintVertical_bias="0.28"
        tools:ignore="ContentDescription"
        tools:src="@mipmap/yindaotu1" />


    <TextView
        android:id="@+id/tvContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="40dp"
        android:layout_marginTop="50dp"
        android:gravity="center"
        android:text="Clean up clutter to unlock more space and keep your phone running smoothly."
        android:textColor="#000000"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv" />

    <ImageView
        android:id="@+id/ivDian"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="100dp"
        android:src="@mipmap/dian1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/tv_btn"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="44dp"
        android:layout_marginBottom="40dp"
        android:background="@drawable/bg_border_warm_50"
        android:gravity="center"
        android:text="Next"
        android:textColor="@color/color_primary"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/flAd"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:ignore="MissingConstraints" />


    <FrameLayout
        android:id="@+id/flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#D9D9D9"
        android:minHeight="75dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginHorizontal="16dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu"
                tools:ignore="ContentDescription,ImageContrastCheck" />

        </io.supercharge.shimmerlayout.ShimmerLayout>

    </FrameLayout>


</androidx.constraintlayout.widget.ConstraintLayout>